Get profile
GET
{{server}}/api/v1/dispenser/profile/00000000-0000-4000-0008-000000000001This endpoint returns the Ticket Dispenser Profile entity by key. You have to choose the correct profile key based on the profile scheduling of dispenser entity in "Get Dispenser" response.
Structure
The structure is an array. In the first level, it contains language keys. The items of languages can contain service keys and service group keys. The service group also contains also items of service keys or service group keys.
Request
Authorization
| Header | Value |
|---|---|
Authorization | Apikey {{dispenserApikey}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/dispenser/profile/00000000-0000-4000-0008-000000000001' \
-H 'Accept: application/json' \
-H 'X-WSID: {{dispenserWsID}}' \
-H 'Authorization: Apikey {{dispenserApikey}}'
const response = await fetch("{{server}}/api/v1/dispenser/profile/00000000-0000-4000-0008-000000000001", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/dispenser/profile/00000000-0000-4000-0008-000000000001"
headers = {
"Accept": "application/json",
"X-WSID": "{{dispenserWsID}}",
"Authorization": "Apikey {{dispenserApikey}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Example
Example request
GET
{{server}}/api/v1/dispenser/profile/00000000-0000-4000-0008-000000000001Headers (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{dispenserWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 2443 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
{
"type": 8,
"key": "00000000-0000-4000-0008-000000000001",
"name": "Default Profile",
"defaultLang": "00000000-0000-4000-0004-000000000001",
"serviceCount": 1,
"standByTime": 30,
"printDialogTime": 2,
"ticketLayout": "00000000-0000-4000-0009-000000000001",
"appearance": {
"header": {
"visible": true,
"leftText": "",
"rightText": "Q-net Queue Management System"
},
"footer": {
"visible": true,
"leftText": "Phone number",
"rightText": "Email address"
},
"languages": {
"style": "flag_waving"
},
"keyboard": {
"type": "numeric",
"min": 4,
"max": 9,
"mask": "0000-0000"
},
"showBackToMain": true,
"showAppointmentButton": true,
"showAuthenticationButton": true,
"showWaitTime": true,
"showWaitCustomers": true,
"customCss": null,
"customJs": null,
"enableAppointmentQrReading": false,
"enableAuthenticationQrReading": false,
"codeHideType": 0
},
"features": {
"clerkSelection": false,
"specialService": null,
"customerName": 0,
"smsTicket": {
"enabled": false,
"customData": "data10"
},
"advertisements": {
"enabled": false,
"idleTime": 10,
"groups": [],
"ticketGroups": []
}
},
"structure": [
{
"language": "00000000-0000-4000-0004-000000000001",
"items": [
{
"service": "00000000-0000-4000-0007-000000000005"
},
{
"group": "00000000-0000-4000-0023-000000000001",
"items": [
{
"service": "00000000-0000-4000-0007-000000000001"
},
{
"service": "00000000-0000-4000-0007-000000000002"
},
{
"service": "18ed1ace-7774-441b-648f-98d54a257490"
},
{
"service": "00000000-0000-4000-0007-000000000004"
},
{
"service": "00000000-0000-4000-0007-000000000003"
}
]
},
{
"group": "00000000-0000-4000-0023-000000000002",
"items": [
{
"service": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1"
},
{
"service": "00000000-0000-4000-0007-000000000006"
},
{
"service": "18ed1abe-b483-48ee-38e4-1029aafe62af"
},
{
"service": "18ed1ac5-8602-44e0-0e48-05356a4733ea"
}
]
}
]
},
{
"language": "00000000-0000-4000-0004-000000000017",
"items": [
{
"service": "00000000-0000-4000-0007-000000000005"
},
{
"group": "00000000-0000-4000-0023-000000000001",
"items": [
{
"service": "00000000-0000-4000-0007-000000000001"
},
{
"service": "00000000-0000-4000-0007-000000000002"
},
{
"service": "18ed1ace-7774-441b-648f-98d54a257490"
},
{
"service": "00000000-0000-4000-0007-000000000004"
},
{
"service": "00000000-0000-4000-0007-000000000003"
}
]
},
{
"group": "00000000-0000-4000-0023-000000000002",
"items": [
{
"service": "18ed1aa2-c5a3-4946-8ba7-f71bb5ce69c1"
},
{
"service": "00000000-0000-4000-0007-000000000006"
},
{
"service": "18ed1abe-b483-48ee-38e4-1029aafe62af"
},
{
"service": "18ed1ac5-8602-44e0-0e48-05356a4733ea"
}
]
}
]
}
],
"status": 1,
"inactivityCountdown": 10,
"aspect": null,
"time": 1746607452404
}